WordPress.org

Ready to get started?Download WordPress

Plugin Directory

HS Membership Plugin

Addon plugin to s2Member. Additional functionality for Multi-Site Installations. s2Member 3.1.2 required.

1.0.1

  • Update: Support Blog URL updated.

1.0.0

  • Update: Functionality enabled for Member Blogs.

0.9.5

  • Bug Fix: Compatibilty with WordPress 3.2.
  • Bug Fix: Cleaned up code and fixed several smaller bugs.

0.9.4

  • Bug Fix: Compatibilty with WordPress 3.1.
  • Bug Fix: Gracefull degradation for old versions of WordPress and s2Member.
  • Bug Fix: Correctly limit access to the wp-signup.php url.

0.9.3

  • Bug Fix: The new versions of s2Member use classes. This cause HS-Membership to have errors. This has now been fixed.

0.9.2

  • Feature Update/Bug Fix: The 'Membership Access' meta box on the page/post editing pages will only be available for installs with s2Member prior to version 3.2. From 2Member v3.2 this is now handled by s2Member.
  • Feature Update: The 'Blog Creation Restriction' option will only be available for installs with s2Member prior to version 3.2. From s2Member v3.2 this is now handled by s2Member.

0.9.1

  • Bug Fix: Removed the 'Membership Access' meta box on the page/post editing pages. This conflicts with the same functionality for the main blog. Version 1.0.0 targeted to fully implement this feature.
  • Bug Fix: The 'Membership Access' meta box was not working on the page/post editing pages for new pages. This was only for the first time when the post was being created. The problem has now been fixed.

0.9.0

  • Initial Release
  • New Feature: Login Required page added.
  • New Feature: New option 'Blog Creation Restriction' added. This option allow the admin to block Blog Creation according to the users level.
  • New Feature: New meta-box feature added to allow the author to set the Access Level of a Page/Post from the edit page.
  • Bug fix: Correctly update user capabilities after a new blog has been created. Previously on MS installs upgraded from WPMU 2.9, the s2Member capabilities of a user would be removed if the user created a new blog.

Requires: 3.0.0 or higher
Compatible up to: 3.2.1
Last Updated: 2013-6-5
Downloads: 10,769

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
0,1,0
100,1,1 50,2,1